EngineResource
Date: 2013-05-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.vremanagement.executor.state
Class EngineResource

    java.lang.Object
      GCUBEWSResource
          org.gcube.vremanagement.executor.state.EngineResource

    public class EngineResource

extends GCUBEWSResource

Specialises `GCUBEWSResource` for the singleton resource of the engine.

Author:
  Fabio Simeoni (University of Strathclyde), Kostantinos Liaskov (University of Strathclyde)

Constructor Summary
`EngineResource()`

Method Summary
`ExecutorPluginContext` | `getContext(java.lang.String name)` Returns the context of a plugin with a given name.
`java.lang.String[]` | `getPropertyNames()`
`TaskResource` | `launch(java.lang.String name, AnyMap input)` Launch a task with a given name and a given input.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EngineResource

    public EngineResource()

Method Detail

### getContext

    public ExecutorPluginContext getContext(java.lang.String name)
                                     throws java.lang.Exception

  Returns the context of a plugin with a given name.

  Parameters:
    `name` - the name.
  Returns:
    the context
  Throws:
    `java.lang.Exception`

### launch

    public TaskResource launch(java.lang.String name,
                               AnyMap input)
                        throws java.lang.Exception

  Launch a task with a given name and a given input.

  Parameters:
    `name` - the name.
    `input` - the input.
  Returns:
    a `TaskResource` that models the execution of the task.
  Throws:
    `java.lang.Exception` - if the task did not exist or could not be launched.

### getPropertyNames

    public java.lang.String[] getPropertyNames()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD